From 1ef81459f5c69a221ed5fa57f21068a540ddd39c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Laur=C3=A9line=20Gu=C3=A9rin?= <zebuline@entrouvert.com>
Date: Thu, 17 Mar 2022 16:54:24 +0100
Subject: [PATCH 07/65] misc: fix redundant-u-string-prefix pylint error
 (#62099)

---
 passerelle/apps/actesweb/models.py           |   2 +-
 passerelle/apps/airquality/models.py         |   2 +-
 passerelle/apps/api_entreprise/models.py     |   6 +-
 passerelle/apps/api_particulier/models.py    |   6 +-
 passerelle/apps/arpege_ecp/models.py         |  16 +--
 passerelle/apps/astre_rest/models.py         |   2 +-
 passerelle/apps/astregs/models.py            |   2 +-
 passerelle/apps/atos_genesys/models.py       |   8 +-
 passerelle/apps/cartads_cs/models.py         |   4 +-
 passerelle/apps/choosit/models.py            |  16 +--
 passerelle/apps/cityweb/models.py            |   2 +-
 passerelle/apps/csvdatasource/models.py      |  10 +-
 passerelle/apps/family/models.py             |   2 +-
 passerelle/apps/gesbac/models.py             |   2 +-
 passerelle/apps/maelis/models.py             |   2 +-
 passerelle/apps/mdel/models.py               |   2 +-
 passerelle/apps/opengis/models.py            |   6 +-
 passerelle/apps/sp_fr/models.py              |  30 ++---
 passerelle/apps/vivaticket/models.py         |   2 +-
 passerelle/base/models.py                    |  10 +-
 passerelle/base/views.py                     |   4 +-
 passerelle/contrib/dpark/models.py           |   4 +-
 passerelle/contrib/esirius_swi/models.py     |   2 +-
 passerelle/contrib/greco/models.py           |   2 +-
 passerelle/contrib/mdph13/models.py          |  12 +-
 passerelle/contrib/solis_apa/conciliation.py |   4 +-
 passerelle/contrib/solis_apa/models.py       |  56 +++++-----
 passerelle/contrib/solis_apa/suivi.py        |   4 +-
 passerelle/contrib/teamnet_axel/models.py    |   4 +-
 passerelle/contrib/toulouse_axel/models.py   |   2 +-
 passerelle/sms/models.py                     |   4 +-
 passerelle/utils/conversion.py               |   2 +-
 passerelle/utils/xml.py                      |   2 +-
 tests/conftest.py                            |   2 +-
 tests/test_api_entreprise.py                 |   2 +-
 tests/test_api_particulier.py                |   2 +-
 tests/test_arpege_ecp.py                     |   2 +-
 tests/test_atal.py                           |   2 +-
 tests/test_atos_genesys.py                   |  50 ++++-----
 tests/test_availability.py                   |   2 +-
 tests/test_base_adresse.py                   |  38 +++----
 tests/test_cartads_cs.py                     |  96 ++++++++--------
 tests/test_csv_datasource.py                 |   4 +-
 tests/test_dpark.py                          |  42 +++----
 tests/test_feeds.py                          |   2 +-
 tests/test_gdema.py                          |  14 +--
 tests/test_generic_endpoint.py               |   6 +-
 tests/test_grenoble_gru.py                   |  10 +-
 tests/test_iws.py                            |   4 +-
 tests/test_lille_kimoce.py                   |   2 +-
 tests/test_okina.py                          |  18 +--
 tests/test_opendatasoft.py                   |   8 +-
 tests/test_opengis.py                        |   2 +-
 tests/test_photon.py                         |   2 +-
 tests/test_planitech.py                      | 110 +++++++++----------
 tests/test_proxylogger.py                    |  28 ++---
 tests/test_requests.py                       |   8 +-
 tests/test_signature.py                      |   4 +-
 tests/test_soap.py                           |   2 +-
 tests/test_solis.py                          |  10 +-
 tests/test_strasbourg_eu.py                  |  22 ++--
 tests/test_teamnet_axel.py                   |   2 +-
 tests/test_toulouse_axel.py                  |   2 +-
 tests/wcs/conftest.py                        |   4 +-
 tests/wcs/test_conftest.py                   |   2 +-
 tests/wcs/test_sp_fr.py                      |   4 +-
 66 files changed, 370 insertions(+), 372 deletions(-)

diff --git a/passerelle/apps/actesweb/models.py b/passerelle/apps/actesweb/models.py
index b3a66ac1..61c6cbeb 100644
--- a/passerelle/apps/actesweb/models.py
+++ b/passerelle/apps/actesweb/models.py
@@ -44,7 +44,7 @@ class ActesWeb(BaseResource):
     category = _('Civil Status Connectors')
 
     class Meta:
-        verbose_name = u"ActesWeb - Demande d'acte d'état civil"
+        verbose_name = "ActesWeb - Demande d'acte d'état civil"
 
     @property
     def basepath(self):
diff --git a/passerelle/apps/airquality/models.py b/passerelle/apps/airquality/models.py
index 6371a7e2..eae5cec8 100644
--- a/passerelle/apps/airquality/models.py
+++ b/passerelle/apps/airquality/models.py
@@ -29,7 +29,7 @@ from passerelle.utils.jsonresponse import APIError
 class AirQuality(BaseResource):
     category = _('Misc')
     api_description = _(
-        u'''
+        '''
         This API provides a unique format for the air quality data of various places.
         (But only supports the Rhône-Alpes region for now).
         '''
diff --git a/passerelle/apps/api_entreprise/models.py b/passerelle/apps/api_entreprise/models.py
index 53886d98..991e9c49 100644
--- a/passerelle/apps/api_entreprise/models.py
+++ b/passerelle/apps/api_entreprise/models.py
@@ -101,13 +101,13 @@ class APIEntreprise(BaseResource):
         try:
             response = self.requests.get(url, data=params, cache_duration=300)
         except requests.RequestException as e:
-            raise APIError(u'API-entreprise connection error: %s' % exception_to_text(e), data=[])
+            raise APIError('API-entreprise connection error: %s' % exception_to_text(e), data=[])
         try:
             data = response.json()
         except ValueError as e:
             content = response.text[:1000]
             raise APIError(
-                u'API-entreprise returned non-JSON content with status %s: %s'
+                'API-entreprise returned non-JSON content with status %s: %s'
                 % (response.status_code, content),
                 data={
                     'status_code': response.status_code,
@@ -122,7 +122,7 @@ class APIEntreprise(BaseResource):
                     'err_desc': data.get('message', 'not-found'),
                 }
             raise APIError(
-                u'API-entreprise returned a non 200 status %s: %s' % (response.status_code, data),
+                'API-entreprise returned a non 200 status %s: %s' % (response.status_code, data),
                 data={
                     'status_code': response.status_code,
                     'content': data,
diff --git a/passerelle/apps/api_particulier/models.py b/passerelle/apps/api_particulier/models.py
index 08111468..a11f19cb 100644
--- a/passerelle/apps/api_particulier/models.py
+++ b/passerelle/apps/api_particulier/models.py
@@ -92,7 +92,7 @@ class APIParticulier(BaseResource):
             response = self.requests.get(url, headers=headers, timeout=5, **kwargs)
         except requests.RequestException as e:
             raise APIError(
-                u'API-particulier platform "%s" connection error: %s' % (self.platform, exception_to_text(e)),
+                'API-particulier platform "%s" connection error: %s' % (self.platform, exception_to_text(e)),
                 log_error=True,
                 data={
                     'code': 'connection-error',
@@ -105,7 +105,7 @@ class APIParticulier(BaseResource):
         except JSONDecodeError as e:
             content = repr(response.content[:1000])
             raise APIError(
-                u'API-particulier platform "%s" returned non-JSON content with status %s: %s'
+                'API-particulier platform "%s" returned non-JSON content with status %s: %s'
                 % (self.platform, response.status_code, content),
                 log_error=True,
                 data={
@@ -135,7 +135,7 @@ class APIParticulier(BaseResource):
                     }
                 raise APIError(message, data=error_data)
             raise APIError(
-                u'API-particulier platform "%s" returned a non 200 status %s: %s'
+                'API-particulier platform "%s" returned a non 200 status %s: %s'
                 % (self.platform, response.status_code, data),
                 log_error=True,
                 data={
diff --git a/passerelle/apps/arpege_ecp/models.py b/passerelle/apps/arpege_ecp/models.py
index fd54d011..bf0823b8 100644
--- a/passerelle/apps/arpege_ecp/models.py
+++ b/passerelle/apps/arpege_ecp/models.py
@@ -59,18 +59,18 @@ class ArpegeECP(BaseResource):
             )
             response.raise_for_status()
         except RequestException as e:
-            raise APIError(u'Arpege server is down: %s' % e)
+            raise APIError('Arpege server is down: %s' % e)
         try:
             result = response.json()
         except ValueError:
-            raise APIError(u'Arpege server is down: no JSON content returned, %r' % response.content[:1000])
+            raise APIError('Arpege server is down: no JSON content returned, %r' % response.content[:1000])
         if result.get('Data'):
             if 'AccessToken' not in result['Data']:
-                raise APIError(u'Error on LoginParSubOIDC: missing Data/AccessToken')
+                raise APIError('Error on LoginParSubOIDC: missing Data/AccessToken')
             if not isinstance(result['Data']['AccessToken'], six.string_types):
-                raise APIError(u'Error on LoginParSubOIDC: Data/AccessToken is not string')
+                raise APIError('Error on LoginParSubOIDC: Data/AccessToken is not string')
             return result['Data']['AccessToken']
-        raise APIError(u'%s (%s)' % (result.get('LibErreur'), result.get('CodErreur')))
+        raise APIError('%s (%s)' % (result.get('LibErreur'), result.get('CodErreur')))
 
     @endpoint(
         name='api',
@@ -87,12 +87,12 @@ class ArpegeECP(BaseResource):
             response = self.requests.get(url, params=params, auth=auth)
             response.raise_for_status()
         except RequestException as e:
-            raise APIError(u'Arpege server is down: %s' % e)
+            raise APIError('Arpege server is down: %s' % e)
         data = []
         try:
             result = response.json()
         except ValueError:
-            raise APIError(u'No JSON content returned: %r' % response.content[:1000])
+            raise APIError('No JSON content returned: %r' % response.content[:1000])
         if not result.get('Data'):
             raise APIError("%s (%s)" % (result.get('LibErreur'), result.get('CodErreur')))
         for demand in result['Data']['results']:
@@ -101,7 +101,7 @@ class ArpegeECP(BaseResource):
                 receipt_time = parse_time(data_administratives['heure_depot'])
                 receipt_date = parse_date(data_administratives['date_depot'])
             except (KeyError, TypeError) as e:
-                raise APIError(u'Arpege error: %s %r' % (e, json.dumps(demand)[:1000]))
+                raise APIError('Arpege error: %s %r' % (e, json.dumps(demand)[:1000]))
             d = {
                 'url': demand['url'],
                 'title': data_administratives.get('LibelleQualificationTypeDemande'),
diff --git a/passerelle/apps/astre_rest/models.py b/passerelle/apps/astre_rest/models.py
index 6481cd80..cf37ebb5 100644
--- a/passerelle/apps/astre_rest/models.py
+++ b/passerelle/apps/astre_rest/models.py
@@ -179,7 +179,7 @@ class AstreREST(BaseResource):
     category = _('Business Process Connectors')
 
     class Meta:
-        verbose_name = u'Astre REST'
+        verbose_name = 'Astre REST'
 
     def check_status(self):
         self._astre_call('astre/webservices/gf/documents/referentiel/typedocument/list/json')
diff --git a/passerelle/apps/astregs/models.py b/passerelle/apps/astregs/models.py
index 6e78d41b..b249bc4c 100644
--- a/passerelle/apps/astregs/models.py
+++ b/passerelle/apps/astregs/models.py
@@ -447,7 +447,7 @@ class AstreGS(BaseResource):
     log_requests_errors = False
 
     class Meta:
-        verbose_name = u'AstresGS'
+        verbose_name = 'AstresGS'
 
     def check_status(self):
         response = self.requests.get(self.wsdl_base_url)
diff --git a/passerelle/apps/atos_genesys/models.py b/passerelle/apps/atos_genesys/models.py
index 40547efe..bec73049 100644
--- a/passerelle/apps/atos_genesys/models.py
+++ b/passerelle/apps/atos_genesys/models.py
@@ -150,7 +150,7 @@ class Resource(BaseResource, HTTPResource):
         parameters={
             'category': {
                 'description': _('Category of codification'),
-                'example_value': u'MOT_APA',
+                'example_value': 'MOT_APA',
             }
         },
     )
@@ -283,7 +283,7 @@ class Resource(BaseResource, HTTPResource):
         # create CIVILITE
         for identification in d.get('IDENTIFICATION', []):
             sexe = identification.get('SEXE', '')
-            identification['CIVILITE'] = {'M': u'Monsieur', 'F': u'Madame'}.get(sexe, '')
+            identification['CIVILITE'] = {'M': 'Monsieur', 'F': 'Madame'}.get(sexe, '')
         return d
 
     @endpoint(
@@ -327,7 +327,7 @@ class Resource(BaseResource, HTTPResource):
             data.append(
                 {
                     'id': str(link.id),
-                    'text': u' '.join(text_parts),
+                    'text': ' '.join(text_parts),
                     'id_per': link.id_per,
                     'dossier': dossier,
                 }
@@ -430,7 +430,7 @@ class Resource(BaseResource, HTTPResource):
                 cmu_nais = to_ascii(identification.get('CMU_NAIS', '')).lower()
                 if cmu_nais and commune_naissance != cmu_nais:
                     self.logger.debug(
-                        u'id_per %s: CMU_NAIS(%s) does not match commune_naissance(%s)',
+                        'id_per %s: CMU_NAIS(%s) does not match commune_naissance(%s)',
                         id_per,
                         cmu_nais,
                         commune_naissance,
diff --git a/passerelle/apps/cartads_cs/models.py b/passerelle/apps/cartads_cs/models.py
index 742cf72f..627f6704 100644
--- a/passerelle/apps/cartads_cs/models.py
+++ b/passerelle/apps/cartads_cs/models.py
@@ -247,10 +247,10 @@ class AbstractCartaDSCS(BaseResource):
                 def format_cerfa_label(x):
                     try:
                         if x['Description']:
-                            return u'%(Nom)s: %(Description)s' % x
+                            return '%(Nom)s: %(Description)s' % x
                     except KeyError:
                         pass
-                    return u'%(Nom)s' % x
+                    return '%(Nom)s' % x
 
                 data_cache, dummy = CartaDSDataCache.objects.get_or_create(
                     data_type='liste_pdf',
diff --git a/passerelle/apps/choosit/models.py b/passerelle/apps/choosit/models.py
index 587df931..3af0c1cd 100644
--- a/passerelle/apps/choosit/models.py
+++ b/passerelle/apps/choosit/models.py
@@ -24,8 +24,8 @@ class ChoositSMSGateway(SMSResource):
                     'err': 1,
                     'err_desc': 'Choosit error: some destinations failed',
                     'data': [
-                        [u'0033688888888', u'Choosit error: bad JSON response'],
-                        [u'0033677777777', u'Choosit error: bad JSON response'],
+                        ['0033688888888', 'Choosit error: bad JSON response'],
+                        ['0033677777777', 'Choosit error: bad JSON response'],
                     ],
                 },
             },
@@ -37,21 +37,21 @@ class ChoositSMSGateway(SMSResource):
                     'err': 1,
                     'err_desc': 'Choosit error: some destinations failed',
                     'data': [
-                        [u'0033688888888', u'Choosit error: not ok'],
-                        [u'0033677777777', u'Choosit error: not ok'],
+                        ['0033688888888', 'Choosit error: not ok'],
+                        ['0033677777777', 'Choosit error: not ok'],
                     ],
                 },
             },
             {
                 'response': {
-                    'result': u'Envoi terminé',
+                    'result': 'Envoi terminé',
                     'sms_id': 1234,
                 },
                 'result': {
                     'err': 0,
                     'data': [
-                        [u'0033688888888', {'result': u'Envoi terminé', 'sms_id': 1234}],
-                        [u'0033677777777', {'result': u'Envoi terminé', 'sms_id': 1234}],
+                        ['0033688888888', {'result': 'Envoi terminé', 'sms_id': 1234}],
+                        ['0033677777777', {'result': 'Envoi terminé', 'sms_id': 1234}],
                     ],
                 },
             },
@@ -92,7 +92,7 @@ class ChoositSMSGateway(SMSResource):
                     if not isinstance(output, dict):
                         results.append('Choosit error: JSON response is not a dict %r' % output)
                     elif 'error' in output:
-                        results.append(u'Choosit error: %s' % output['error'])
+                        results.append('Choosit error: %s' % output['error'])
                     else:
                         results.append(output)
         if any(isinstance(result, string_types) for result in results):
diff --git a/passerelle/apps/cityweb/models.py b/passerelle/apps/cityweb/models.py
index 74548bce..7dd02a9d 100644
--- a/passerelle/apps/cityweb/models.py
+++ b/passerelle/apps/cityweb/models.py
@@ -39,7 +39,7 @@ class CityWeb(BaseResource):
     category = _('Civil Status Connectors')
 
     class Meta:
-        verbose_name = u"CityWeb - Demande d'acte d'état civil"
+        verbose_name = "CityWeb - Demande d'acte d'état civil"
 
     @classmethod
     def get_verbose_name(cls):
diff --git a/passerelle/apps/csvdatasource/models.py b/passerelle/apps/csvdatasource/models.py
index a2d6cce9..68f95bcb 100644
--- a/passerelle/apps/csvdatasource/models.py
+++ b/passerelle/apps/csvdatasource/models.py
@@ -315,7 +315,7 @@ class CsvDataSource(BaseResource):
         try:
             query = Query.objects.get(resource=self.id, slug=query_name)
         except Query.DoesNotExist:
-            raise APIError(u'no such query')
+            raise APIError('no such query')
         return self.execute_query(request, query, query_params=kwargs)
 
     def execute_query(self, request, query, query_params=None):
@@ -337,7 +337,7 @@ class CsvDataSource(BaseResource):
                         data['name'] = titles[i]
                     else:
                         data['idx'] = i
-                    raise APIError(u'invalid %s expression' % kind, data=data)
+                    raise APIError('invalid %s expression' % kind, data=data)
                 codes.append((code, expr))
             for row in data:
                 new_row = []
@@ -356,7 +356,7 @@ class CsvDataSource(BaseResource):
                             data['name'] = titles[i]
                         else:
                             data['idx'] = i
-                        raise APIError(u'invalid %s expression' % kind, data=data)
+                        raise APIError('invalid %s expression' % kind, data=data)
                     new_row.append(result)
                 yield new_row, row
 
@@ -383,7 +383,7 @@ class CsvDataSource(BaseResource):
                     hash(new_row)
                 except TypeError:
                     raise APIError(
-                        u'distinct value is unhashable',
+                        'distinct value is unhashable',
                         data={
                             'row': repr(row),
                             'distinct': repr(new_row),
@@ -402,7 +402,7 @@ class CsvDataSource(BaseResource):
             for mapping in projection:
                 name, expr = mapping.split(':', 1)
                 if not identifier_re.match(name):
-                    raise APIError(u'invalid projection name', data=name)
+                    raise APIError('invalid projection name', data=name)
                 titles.append(name)
                 expressions.append(expr)
             new_data = []
diff --git a/passerelle/apps/family/models.py b/passerelle/apps/family/models.py
index 05a58e95..17493086 100644
--- a/passerelle/apps/family/models.py
+++ b/passerelle/apps/family/models.py
@@ -470,7 +470,7 @@ class Person(models.Model):
 
     @property
     def fullname(self):
-        return u'%s %s' % (self.first_name, self.last_name)
+        return '%s %s' % (self.first_name, self.last_name)
 
     def __str__(self):
         return self.fullname
diff --git a/passerelle/apps/gesbac/models.py b/passerelle/apps/gesbac/models.py
index 86038efc..e6688ff6 100644
--- a/passerelle/apps/gesbac/models.py
+++ b/passerelle/apps/gesbac/models.py
@@ -224,7 +224,7 @@ class Gesbac(BaseResource):
     category = _('Business Process Connectors')
 
     class Meta:
-        verbose_name = u'Gesbac'
+        verbose_name = 'Gesbac'
 
     def check_status(self):
         with self.outcoming_sftp.client() as out_sftp:
diff --git a/passerelle/apps/maelis/models.py b/passerelle/apps/maelis/models.py
index 97f2bac8..b8101b81 100644
--- a/passerelle/apps/maelis/models.py
+++ b/passerelle/apps/maelis/models.py
@@ -97,7 +97,7 @@ class Maelis(BaseResource):
     category = _('Business Process Connectors')
 
     class Meta:
-        verbose_name = u'Maélis'
+        verbose_name = 'Maélis'
 
     @classmethod
     def get_verbose_name(cls):
diff --git a/passerelle/apps/mdel/models.py b/passerelle/apps/mdel/models.py
index 1366b6bd..178c4405 100644
--- a/passerelle/apps/mdel/models.py
+++ b/passerelle/apps/mdel/models.py
@@ -350,7 +350,7 @@ class Demand(models.Model):
 
             # Set aec_nature if aec_type_raw == DECES
             if formdata.get('aec_type_raw') == 'DECES' and not formdata.get('aec_nature_raw'):
-                formdata['aec_nature'] = u'Copie integrale'
+                formdata['aec_nature'] = 'Copie integrale'
                 formdata['aec_nature_raw'] = 'COPIE-INTEGRALE'
 
             # Set motif_demand if none
diff --git a/passerelle/apps/opengis/models.py b/passerelle/apps/opengis/models.py
index caf92dbe..5573eabb 100644
--- a/passerelle/apps/opengis/models.py
+++ b/passerelle/apps/opengis/models.py
@@ -221,9 +221,7 @@ class OpenGIS(BaseResource):
         except ValueError:
             self.handle_opengis_error(response)
             # if handle_opengis_error did not raise an error, we raise a generic one
-            raise APIError(
-                u'OpenGIS Error: unparsable error', data={'content': repr(response.content[:1024])}
-            )
+            raise APIError('OpenGIS Error: unparsable error', data={'content': repr(response.content[:1024])})
         for feature in response['features']:
             feature['text'] = feature['properties'].get(property_name)
             data.append(feature)
@@ -245,7 +243,7 @@ class OpenGIS(BaseResource):
             return None
         content = exception_text.text
         content = html.unescape(content)
-        raise APIError(u'OpenGIS Error: %s' % exception_code or 'unknown code', data={'text': content})
+        raise APIError('OpenGIS Error: %s' % exception_code or 'unknown code', data={'text': content})
 
     def convert_coordinates(self, lon, lat, reverse=False):
         lon, lat = float(lon), float(lat)
diff --git a/passerelle/apps/sp_fr/models.py b/passerelle/apps/sp_fr/models.py
index e298c21a..399bee07 100644
--- a/passerelle/apps/sp_fr/models.py
+++ b/passerelle/apps/sp_fr/models.py
@@ -335,12 +335,12 @@ class Resource(BaseResource):
             with self.resource.output_sftp.client() as client:
                 with client.open(self.request.response_zip_filename, mode='w') as fd:
                     self.request.build_response_zip(
-                        fd, etat='100', commentaire=u'Demande transmise à la collectivité'
+                        fd, etat='100', commentaire='Demande transmise à la collectivité'
                     )
             with self.resource.input_sftp.client() as client:
                 with client.open('DONE/' + self.request.response_zip_filename, mode='w') as fd:
                     self.request.build_response_zip(
-                        fd, etat='100', commentaire=u'Demande transmise à la collectivité'
+                        fd, etat='100', commentaire='Demande transmise à la collectivité'
                     )
 
         def get_data(self, data, name):
@@ -355,11 +355,11 @@ class Resource(BaseResource):
             numero_permis_construire = get('doc_declarant_designation_permis_numero_permis_construire')
             numero_permis_amenager = get('doc_declarant_designation_permis_numero_permis_amenager')
             data['type_permis'] = (
-                u'Un permis de construire' if numero_permis_construire else u'Un permis d\'aménager'
+                'Un permis de construire' if numero_permis_construire else 'Un permis d\'aménager'
             )
             data['numero_permis'] = numero_permis_construire or numero_permis_amenager
             particulier = get('doc_declarant_identite_type_personne').strip().lower() == 'true'
-            data['type_declarant'] = u'Un particulier' if particulier else u'Une personne morale'
+            data['type_declarant'] = 'Un particulier' if particulier else 'Une personne morale'
             if particulier:
                 data['nom'] = get('doc_declarant_identite_personne_physique_nom')
                 data['prenoms'] = get('doc_declarant_identite_personne_physique_prenom')
@@ -382,9 +382,9 @@ class Resource(BaseResource):
                     get('doc_declarant_identite_personne_morale_representant_personne_morale_civilite'), ''
                 )
             data['portee'] = (
-                u'Pour la totalité des travaux'
+                'Pour la totalité des travaux'
                 if get('doc_ouverture_chantier_totalite_travaux').lower().strip() == 'true'
-                else u'Pour une tranche des travaux'
+                else 'Pour une tranche des travaux'
             )
 
         def update_data_recensementCitoyen(self, data):
@@ -397,9 +397,9 @@ class Resource(BaseResource):
             data['motif'] = {'RECENSEMENT': '1', 'EXEMPTION': '2'}[motif]
             if data['motif'] == '2':
                 data['motif_exempte'] = (
-                    u"Titulaire d'une carte d'invalidité de 80% minimum"
+                    "Titulaire d'une carte d'invalidité de 80% minimum"
                     if get('recensementcitoyen_formalite_formalitemotifcode_2') == 'INFIRME'
-                    else u"Autre situation"
+                    else "Autre situation"
                 )
             data['justificatif_exemption'] = get('pj_je')
             data['double_nationalite'] = 'Oui' if get('recensementcitoyen_personne_nationalite') else 'Non'
@@ -421,16 +421,16 @@ class Resource(BaseResource):
             data['justificatif_identite'] = get('pj_ji')
             situation_matrimoniale = get('recensementcitoyen_personne_situationfamille_situationmatrimoniale')
             data['situation_familiale'] = {
-                u'Célibataire': u'Célibataire',
-                u'Marié': u'Marié(e)',
-            }.get(situation_matrimoniale, u'Autres')
-            if data['situation_familiale'] == u'Autres':
+                'Célibataire': 'Célibataire',
+                'Marié': 'Marié(e)',
+            }.get(situation_matrimoniale, 'Autres')
+            if data['situation_familiale'] == 'Autres':
                 data['situation_familiale_precision'] = situation_matrimoniale
             pupille = get('recensementcitoyen_personne_situationfamille_pupille')
             data['pupille'] = 'Oui' if pupille else 'Non'
             data['pupille_categorie'] = {
-                'NATION': u"Pupille de la nation",
-                'ETAT': u"Pupille de l'État",
+                'NATION': "Pupille de la nation",
+                'ETAT': "Pupille de l'État",
             }.get(pupille)
             for idx in ['', '_1', '_2']:
                 code = get('recensementcitoyen_personne_methodecontact%s_canalcode' % idx)
@@ -774,7 +774,7 @@ class Request(models.Model):
             './/{%(mdel)s}MotDePasse' % ns
         ).text
         response.find('.//{%(pec)s}Etat' % ns).text = '100'
-        response.find('.//{%(pec)s}Commentaire' % ns).text = u'Dossier transmis à la collectivité'
+        response.find('.//{%(pec)s}Commentaire' % ns).text = 'Dossier transmis à la collectivité'
         return response
 
     def build_response_zip(self, fd_or_filename, etat, commentaire):
diff --git a/passerelle/apps/vivaticket/models.py b/passerelle/apps/vivaticket/models.py
index 75c8402a..71ec0735 100644
--- a/passerelle/apps/vivaticket/models.py
+++ b/passerelle/apps/vivaticket/models.py
@@ -146,7 +146,7 @@ class VivaTicket(BaseResource):
     log_requests_errors = False
 
     class Meta:
-        verbose_name = u'VivaTicket'
+        verbose_name = 'VivaTicket'
 
     @classmethod
     def get_verbose_name(cls):
diff --git a/passerelle/base/models.py b/passerelle/base/models.py
index f1f79acf..3b0675c2 100644
--- a/passerelle/base/models.py
+++ b/passerelle/base/models.py
@@ -85,7 +85,7 @@ class ApiUser(models.Model):
     )
 
     def __str__(self):
-        return u'%s <%s>' % (self.fullname, self.username)
+        return '%s <%s>' % (self.fullname, self.username)
 
     def clean(self):
         if self.keytype and not self.key:
@@ -513,17 +513,17 @@ class BaseResource(models.Model):
             if status == 'down' and not self.down():  # new downtime
                 if availability_parameters.has_zero_delay():
                     self.logger.error(
-                        u'connector "%s" (%s) is now down: %s', self, self.__class__.__name__, message
+                        'connector "%s" (%s) is now down: %s', self, self.__class__.__name__, message
                     )
                 else:
                     self.logger.warning(
-                        u'connector "%s" (%s) is now down: %s', self, self.__class__.__name__, message
+                        'connector "%s" (%s) is now down: %s', self, self.__class__.__name__, message
                     )
             ResourceStatus(
                 resource_type=resource_type, resource_pk=self.pk, status=status, message=message
             ).save()
             if status == 'up' and current_status:
-                self.logger.info(u'connector "%s" (%s) is back up', self, self.__class__.__name__)
+                self.logger.info('connector "%s" (%s) is back up', self, self.__class__.__name__)
         elif status == 'down':
             # check last_notification_downtime and current downtime to see if it matches a new notification delay
             last_notification_timestamp = (
@@ -550,7 +550,7 @@ class BaseResource(models.Model):
                         else:
                             human_duration = 'for %d minutes' % downtime
                         self.logger.error(
-                            u'connector "%s" (%s) has been down %s: %s',
+                            'connector "%s" (%s) has been down %s: %s',
                             self,
                             self.__class__.__name__,
                             human_duration,
